package equipmentInventory;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/equipment.idl"
 * <li> <b>IDL Name</b>      ::equipmentInventory::EquipmentInventoryMgr
 * <li> <b>Repository Id</b> IDL:equipmentInventory/EquipmentInventoryMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface EquipmentInventoryMgr {
  ...
};
 * </pre>
 */
public interface EquipmentInventoryMgrOperations {
  /**
   * <pre>
   *   void getEquipment (in globaldefs.NamingAttributes_T equipmentName,
                     out equipmentInventory.Equipment_T equipment)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getEquipment (globaldefs.NameAndStringValue_T[] equipmentName, 
                            equipmentInventory.Equipment_THolder equipment) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllEquipment (in globaldefs.NamingAttributes_T managedElementOrEquipmentName,
                        in unsigned long how_many,
                        out equipmentInventory.EquipmentList_T eqList,
                        out equipmentInventory.EquipmentIterator eqIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllEquipment (globaldefs.NameAndStringValue_T[] managedElementOrEquipmentName, 
                               int how_many, 
                               equipmentInventory.EquipmentList_THolder eqList, 
                               equipmentInventory.EquipmentIteratorHolder eqIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllEquipmentNames (in globaldefs.NamingAttributes_T managedElementOrEquipmentName,
                             in unsigned long how_many,
                             out globaldefs.NamingAttributesList_T nameList,
                             out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllEquipmentNames (globaldefs.NameAndStringValue_T[] managedElementOrEquipmentName, 
                                    int how_many, 
                                    globaldefs.NamingAttributesList_THolder nameList, 
                                    globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllSupportedPTPNames (in globaldefs.NamingAttributes_T equipmentName,
                                in unsigned long how_many,
                                out globaldefs.NamingAttributesList_T nameList,
                                out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSupportedPTPNames (globaldefs.NameAndStringValue_T[] equipmentName, 
                                       int how_many, 
                                       globaldefs.NamingAttributesList_THolder nameList, 
                                       globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllSupportingEquipmentNames (in globaldefs.NamingAttributes_T ptpName,
                                       in unsigned long how_many,
                                       out globaldefs.NamingAttributesList_T nameList,
                                       out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSupportingEquipmentNames (globaldefs.NameAndStringValue_T[] ptpName, 
                                              int how_many, 
                                              globaldefs.NamingAttributesList_THolder nameList, 
                                              globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

}
