package managedElementManager;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/managedElementMgr.idl"
 * <li> <b>IDL Name</b>      ::managedElementManager::ManagedElementMgr
 * <li> <b>Repository Id</b> IDL:managedElementManager/ManagedElementMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ManagedElementMgr {
  ...
};
 * </pre>
 */
public interface ManagedElementMgrOperations {
  /**
   * <pre>
   *   void getAllManagedElements (in unsigned long how_many,
                              out managedElement.ManagedElementList_T meList,
                              out managedElement.ManagedElementIterator meIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElements (int how_many, 
                                     managedElement.ManagedElementList_THolder meList, 
                                     managedElement.ManagedElementIteratorHolder meIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllManagedElementNames (in unsigned long how_many,
                                  out globaldefs.NamingAttributesList_T nameList,
                                  out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElementNames (int how_many, 
                                         globaldefs.NamingAttributesList_THolder nameList, 
                                         globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainingSubnetworks (in globaldefs.NamingAttributes_T managedElementName,
                                 out globaldefs.NamingAttributesList_T subnetNames)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainingSubnetworks (globaldefs.NameAndStringValue_T[] managedElementName, 
                                        globaldefs.NamingAttributesList_THolder subnetNames) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllPTPs (in globaldefs.NamingAttributes_T managedElementName,
                   in transmissionParameters.LayerRateList_T layerRateList,
                   in unsigned long how_many,
                   out terminationPoint.TerminationPointList_T tpList,
                   out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllPTPs (globaldefs.NameAndStringValue_T[] managedElementName, 
                          short[] layerRateList, 
                          int how_many, 
                          terminationPoint.TerminationPointList_THolder tpList, 
                          terminationPoint.TerminationPointIteratorHolder tpIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllPTPNames (in globaldefs.NamingAttributes_T managedElementName,
                       in transmissionParameters.LayerRateList_T layerRateList,
                       in unsigned long how_many,
                       out globaldefs.NamingAttributesList_T nameList,
                       out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllPTPNames (globaldefs.NameAndStringValue_T[] managedElementName, 
                              short[] layerRateList, 
                              int how_many, 
                              globaldefs.NamingAttributesList_THolder nameList, 
                              globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getTP (in globaldefs.NamingAttributes_T tpName,
              out terminationPoint.TerminationPoint_T tp)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getTP (globaldefs.NameAndStringValue_T[] tpName, 
                     terminationPoint.TerminationPoint_THolder tp) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getManagedElement (in globaldefs.NamingAttributes_T managedElementName,
                          out managedElement.ManagedElement_T managedElement)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getManagedElement (globaldefs.NameAndStringValue_T[] managedElementName, 
                                 managedElement.ManagedElement_THolder managedElement) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainedTPs (in globaldefs.NamingAttributes_T tpName,
                        in transmissionParameters.LayerRateList_T layerRateList,
                        in unsigned long how_many,
                        out terminationPoint.TerminationPointList_T tpList,
                        out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainedTPs (globaldefs.NameAndStringValue_T[] tpName, 
                               short[] layerRateList, 
                               int how_many, 
                               terminationPoint.TerminationPointList_THolder tpList, 
                               terminationPoint.TerminationPointIteratorHolder tpIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainedTPNames (in globaldefs.NamingAttributes_T tpName,
                            in transmissionParameters.LayerRateList_T layerRateList,
                            in unsigned long how_many,
                            out globaldefs.NamingAttributesList_T nameList,
                            out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainedTPNames (globaldefs.NameAndStringValue_T[] tpName, 
                                   short[] layerRateList, 
                                   int how_many, 
                                   globaldefs.NamingAttributesList_THolder nameList, 
                                   globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainedActualTPs (in globaldefs.NamingAttributes_T tpName,
                              in transmissionParameters.LayerRateList_T layerRateList,
                              in unsigned long how_many,
                              out terminationPoint.TerminationPointList_T tpList,
                              out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainedActualTPs (globaldefs.NameAndStringValue_T[] tpName, 
                                     short[] layerRateList, 
                                     int how_many, 
                                     terminationPoint.TerminationPointList_THolder tpList, 
                                     terminationPoint.TerminationPointIteratorHolder tpIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainedActualTPNames (in globaldefs.NamingAttributes_T tpName,
                                  in transmissionParameters.LayerRateList_T layerRateList,
                                  in unsigned long how_many,
                                  out globaldefs.NamingAttributesList_T nameList,
                                  out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainedActualTPNames (globaldefs.NameAndStringValue_T[] tpName, 
                                         short[] layerRateList, 
                                         int how_many, 
                                         globaldefs.NamingAttributesList_THolder nameList, 
                                         globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainingTPs (in globaldefs.NamingAttributes_T tpName,
                         out terminationPoint.TerminationPointList_T tpList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainingTPs (globaldefs.NameAndStringValue_T[] tpName, 
                                terminationPoint.TerminationPointList_THolder tpList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getContainingTPNames (in globaldefs.NamingAttributes_T tpName,
                             out globaldefs.NamingAttributesList_T tpNameList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getContainingTPNames (globaldefs.NameAndStringValue_T[] tpName, 
                                    globaldefs.NamingAttributesList_THolder tpNameList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllActiveAlarms (in globaldefs.NamingAttributes_T meName,
                           in notifications.ProbableCauseList_T excludeProbCauseList,
                           in unsigned long how_many,
                           out notifications.EventList_T eventList,
                           out notifications.EventIterator eventIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllActiveAlarms (globaldefs.NameAndStringValue_T[] meName, 
                                  java.lang.String[] excludeProbCauseList, 
                                  int how_many, 
                                  notifications.EventList_THolder eventList, 
                                  notifications.EventIteratorHolder eventIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void setTPData (in subnetworkConnection.TPData_T tpInfo,
                  out terminationPoint.TerminationPoint_T modifiedTP)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void setTPData (subnetworkConnection.TPData_T tpInfo, 
                         terminationPoint.TerminationPoint_THolder modifiedTP) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllCrossConnections (in globaldefs.NamingAttributes_T managedElementName,
                               in transmissionParameters.LayerRateList_T connectionRateList,
                               in unsigned long how_many,
                               out subnetworkConnection.CrossConnectList_T ccList,
                               out subnetworkConnection.CCIterator ccIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllCrossConnections (globaldefs.NameAndStringValue_T[] managedElementName, 
                                      short[] connectionRateList, 
                                      int how_many, 
                                      subnetworkConnection.CrossConnectList_THolder ccList, 
                                      subnetworkConnection.CCIteratorHolder ccIt) throws globaldefs.ProcessingFailureException;

}
}
