package multiLayerSubnetwork;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/multiLayerSubnetwork.idl"
 * <li> <b>IDL Name</b>      ::multiLayerSubnetwork::MultiLayerSubnetworkMgr
 * <li> <b>Repository Id</b> IDL:multiLayerSubnetwork/MultiLayerSubnetworkMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface MultiLayerSubnetworkMgr {
  ...
};
 * </pre>
 */
public interface MultiLayerSubnetworkMgrOperations {
  /**
   * <pre>
   *   void getAllManagedElements (in globaldefs.NamingAttributes_T subnetName,
                              in unsigned long how_many,
                              out managedElement.ManagedElementList_T meList,
                              out managedElement.ManagedElementIterator meIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElements (globaldefs.NameAndStringValue_T[] subnetName, 
                                     int how_many, 
                                     managedElement.ManagedElementList_THolder meList, 
                                     managedElement.ManagedElementIteratorHolder meIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllManagedElementNames (in globaldefs.NamingAttributes_T subnetName,
                                  in unsigned long how_many,
                                  out globaldefs.NamingAttributesList_T nameList,
                                  out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElementNames (globaldefs.NameAndStringValue_T[] subnetName, 
                                         int how_many, 
                                         globaldefs.NamingAttributesList_THolder nameList, 
                                         globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getMultiLayerSubnetwork (in globaldefs.NamingAttributes_T subnetName,
                                out multiLayerSubnetwork.MultiLayerSubnetwork_T subnetwork)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getMultiLayerSubnetwork (globaldefs.NameAndStringValue_T[] subnetName, 
                                       multiLayerSubnetwork.MultiLayerSubnetwork_THolder subnetwork) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllTopologicalLinks (in globaldefs.NamingAttributes_T subnetName,
                               in unsigned long how_many,
                               out topologicalLink.TopologicalLinkList_T topoList,
                               out topologicalLink.TopologicalLinkIterator topoIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllTopologicalLinks (globaldefs.NameAndStringValue_T[] subnetName, 
                                      int how_many, 
                                      topologicalLink.TopologicalLinkList_THolder topoList, 
                                      topologicalLink.TopologicalLinkIteratorHolder topoIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllEdgePoints (in globaldefs.NamingAttributes_T subnetName,
                         in transmissionParameters.LayerRateList_T layerRateList,
                         in unsigned long how_many,
                         out terminationPoint.TerminationPointList_T tpList,
                         out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllEdgePoints (globaldefs.NameAndStringValue_T[] subnetName, 
                                short[] layerRateList, 
                                int how_many, 
                                terminationPoint.TerminationPointList_THolder tpList, 
                                terminationPoint.TerminationPointIteratorHolder tpIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAssociatedTP (in globaldefs.NamingAttributes_T tpName,
                        out terminationPoint.TerminationPointList_T tpList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAssociatedTP (globaldefs.NameAndStringValue_T[] tpName, 
                               terminationPoint.TerminationPointList_THolder tpList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getTPGroupingRelationships (in globaldefs.NamingAttributes_T tpName,
                                   out globaldefs.NamingAttributesList_T nameList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getTPGroupingRelationships (globaldefs.NameAndStringValue_T[] tpName, 
                                          globaldefs.NamingAttributesList_THolder nameList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllSubnetworkConnections (in globaldefs.NamingAttributes_T subnetName,
                                    in transmissionParameters.LayerRateList_T connectionRateList,
                                    in unsigned long how_many,
                                    out subnetworkConnection.SubnetworkConnectionList_T sncList,
                                    out subnetworkConnection.SNCIterator sncIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSubnetworkConnections (globaldefs.NameAndStringValue_T[] subnetName, 
                                           short[] connectionRateList, 
                                           int how_many, 
                                           subnetworkConnection.SubnetworkConnectionList_THolder sncList, 
                                           subnetworkConnection.SNCIteratorHolder sncIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllSubnetworkConnectionsWithTPList (in globaldefs.NamingAttributesList_T tpNameList,
                                              in transmissionParameters.LayerRateList_T connectionRateList,
                                              in unsigned long how_many,
                                              out subnetworkConnection.SubnetworkConnectionList_T sncList,
                                              out subnetworkConnection.SNCIterator sncIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSubnetworkConnectionsWithTPList (globaldefs.NameAndStringValue_T[][] tpNameList, 
                                                     short[] connectionRateList, 
                                                     int how_many, 
                                                     subnetworkConnection.SubnetworkConnectionList_THolder sncList, 
                                                     subnetworkConnection.SNCIteratorHolder sncIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getRoute (in globaldefs.NamingAttributes_T sncName,
                 out subnetworkConnection.Route_T route)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getRoute (globaldefs.NameAndStringValue_T[] sncName, 
                        subnetworkConnection.Route_THolder route) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getSNC (in globaldefs.NamingAttributes_T sncName,
               out subnetworkConnection.SubnetworkConnection_T snc)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getSNC (globaldefs.NameAndStringValue_T[] sncName, 
                      subnetworkConnection.SubnetworkConnection_THolder snc) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void createSNC (in subnetworkConnection.SNCCreateData_T createData,
                  out subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void createSNC (subnetworkConnection.SNCCreateData_T createData, 
                         subnetworkConnection.SubnetworkConnection_THolder theSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void activateSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void activateSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void createAndActivateSNC (in subnetworkConnection.SNCCreateData_T createData,
                             out subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void createAndActivateSNC (subnetworkConnection.SNCCreateData_T createData, 
                                    subnetworkConnection.SubnetworkConnection_THolder theSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void deactivateSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deactivateSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void deleteSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC,
                  in boolean forced)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deleteSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC, 
                         boolean forced) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void deactivateAndDeleteSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deactivateAndDeleteSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void checkValidSNC (in subnetworkConnection.SNCCreateData_T sncData,
                      out boolean valid)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void checkValidSNC (subnetworkConnection.SNCCreateData_T sncData, 
                             org.omg.CORBA.BooleanHolder valid) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllGTPs (in globaldefs.NamingAttributes_T subnetworkName,
                   in unsigned long how_many,
                   out terminationPoint.TerminationPointList_T tpList,
                   out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllGTPs (globaldefs.NameAndStringValue_T[] subnetworkName, 
                          int how_many, 
                          terminationPoint.TerminationPointList_THolder tpList, 
                          terminationPoint.TerminationPointIteratorHolder tpIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void bridgeSNC (in subnetworkConnection.SubnetworkConnection_T initialSNC,
                  in subnetworkConnection.SNCCreateData_T bridgeCreateData,
                  out subnetworkConnection.SubnetworkConnection_T bridgeSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void bridgeSNC (subnetworkConnection.SubnetworkConnection_T initialSNC, 
                         subnetworkConnection.SNCCreateData_T bridgeCreateData, 
                         subnetworkConnection.SubnetworkConnection_THolder bridgeSNC) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void rollSNC (inout subnetworkConnection.SubnetworkConnection_T initialSNC,
                in subnetworkConnection.GradesOfImpact_T rollCriteria,
                inout subnetworkConnection.SubnetworkConnection_T rolledSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void rollSNC (subnetworkConnection.SubnetworkConnection_THolder initialSNC, 
                       subnetworkConnection.GradesOfImpact_T rollCriteria, 
                       subnetworkConnection.SubnetworkConnection_THolder rolledSNC) throws globaldefs.ProcessingFailureException;

}
