package multiLayerSubnetwork;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/multiLayerSubnetwork.idl"
 * <li> <b>IDL Name</b>      ::multiLayerSubnetwork::MultiLayerSubnetworkMgr
 * <li> <b>Repository Id</b> IDL:multiLayerSubnetwork/MultiLayerSubnetworkMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface MultiLayerSubnetworkMgr {
  ...
};
 * </pre>
 */
public class MultiLayerSubnetworkMgrPOATie extends MultiLayerSubnetworkMgrPOA {
  private multiLayerSubnetwork.MultiLayerSubnetworkMgrOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public MultiLayerSubnetworkMgrPOATie (final multiLayerSubnetwork.MultiLayerSubnetworkMgrOperations _delegate) {
    this._delegate = _delegate;
  }

  public MultiLayerSubnetworkMgrPOATie (final multiLayerSubnetwork.MultiLayerSubnetworkMgrOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public multiLayerSubnetwork.MultiLayerSubnetworkMgrOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final multiLayerSubnetwork.MultiLayerSubnetworkMgrOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void getAllManagedElements (in globaldefs.NamingAttributes_T subnetName,
                              in unsigned long how_many,
                              out managedElement.ManagedElementList_T meList,
                              out managedElement.ManagedElementIterator meIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElements (globaldefs.NameAndStringValue_T[] subnetName, 
                                     int how_many, 
                                     managedElement.ManagedElementList_THolder meList, 
                                     managedElement.ManagedElementIteratorHolder meIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllManagedElements(subnetName, how_many, meList, meIt);
  }

  /**
   * <pre>
   *   void getAllManagedElementNames (in globaldefs.NamingAttributes_T subnetName,
                                  in unsigned long how_many,
                                  out globaldefs.NamingAttributesList_T nameList,
                                  out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllManagedElementNames (globaldefs.NameAndStringValue_T[] subnetName, 
                                         int how_many, 
                                         globaldefs.NamingAttributesList_THolder nameList, 
                                         globaldefs.NamingAttributesIteratorHolder nameIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllManagedElementNames(subnetName, how_many, nameList, nameIt);
  }

  /**
   * <pre>
   *   void getMultiLayerSubnetwork (in globaldefs.NamingAttributes_T subnetName,
                                out multiLayerSubnetwork.MultiLayerSubnetwork_T subnetwork)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getMultiLayerSubnetwork (globaldefs.NameAndStringValue_T[] subnetName, 
                                       multiLayerSubnetwork.MultiLayerSubnetwork_THolder subnetwork) throws  globaldefs.ProcessingFailureException {
    this._delegate.getMultiLayerSubnetwork(subnetName, subnetwork);
  }

  /**
   * <pre>
   *   void getAllTopologicalLinks (in globaldefs.NamingAttributes_T subnetName,
                               in unsigned long how_many,
                               out topologicalLink.TopologicalLinkList_T topoList,
                               out topologicalLink.TopologicalLinkIterator topoIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllTopologicalLinks (globaldefs.NameAndStringValue_T[] subnetName, 
                                      int how_many, 
                                      topologicalLink.TopologicalLinkList_THolder topoList, 
                                      topologicalLink.TopologicalLinkIteratorHolder topoIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllTopologicalLinks(subnetName, how_many, topoList, topoIt);
  }

  /**
   * <pre>
   *   void getAllEdgePoints (in globaldefs.NamingAttributes_T subnetName,
                         in transmissionParameters.LayerRateList_T layerRateList,
                         in unsigned long how_many,
                         out terminationPoint.TerminationPointList_T tpList,
                         out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllEdgePoints (globaldefs.NameAndStringValue_T[] subnetName, 
                                short[] layerRateList, 
                                int how_many, 
                                terminationPoint.TerminationPointList_THolder tpList, 
                                terminationPoint.TerminationPointIteratorHolder tpIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllEdgePoints(subnetName, layerRateList, how_many, tpList, 
                                    tpIt);
  }

  /**
   * <pre>
   *   void getAssociatedTP (in globaldefs.NamingAttributes_T tpName,
                        out terminationPoint.TerminationPointList_T tpList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAssociatedTP (globaldefs.NameAndStringValue_T[] tpName, 
                               terminationPoint.TerminationPointList_THolder tpList) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAssociatedTP(tpName, tpList);
  }

  /**
   * <pre>
   *   void getTPGroupingRelationships (in globaldefs.NamingAttributes_T tpName,
                                   out globaldefs.NamingAttributesList_T nameList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getTPGroupingRelationships (globaldefs.NameAndStringValue_T[] tpName, 
                                          globaldefs.NamingAttributesList_THolder nameList) throws  globaldefs.ProcessingFailureException {
    this._delegate.getTPGroupingRelationships(tpName, nameList);
  }

  /**
   * <pre>
   *   void getAllSubnetworkConnections (in globaldefs.NamingAttributes_T subnetName,
                                    in transmissionParameters.LayerRateList_T connectionRateList,
                                    in unsigned long how_many,
                                    out subnetworkConnection.SubnetworkConnectionList_T sncList,
                                    out subnetworkConnection.SNCIterator sncIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSubnetworkConnections (globaldefs.NameAndStringValue_T[] subnetName, 
                                           short[] connectionRateList, 
                                           int how_many, 
                                           subnetworkConnection.SubnetworkConnectionList_THolder sncList, 
                                           subnetworkConnection.SNCIteratorHolder sncIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllSubnetworkConnections(subnetName, connectionRateList, 
                                               how_many, sncList, sncIt);
  }

  /**
   * <pre>
   *   void getAllSubnetworkConnectionsWithTPList (in globaldefs.NamingAttributesList_T tpNameList,
                                              in transmissionParameters.LayerRateList_T connectionRateList,
                                              in unsigned long how_many,
                                              out subnetworkConnection.SubnetworkConnectionList_T sncList,
                                              out subnetworkConnection.SNCIterator sncIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllSubnetworkConnectionsWithTPList (globaldefs.NameAndStringValue_T[][] tpNameList, 
                                                     short[] connectionRateList, 
                                                     int how_many, 
                                                     subnetworkConnection.SubnetworkConnectionList_THolder sncList, 
                                                     subnetworkConnection.SNCIteratorHolder sncIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllSubnetworkConnectionsWithTPList(tpNameList, connectionRateList, 
                                                         how_many, sncList, sncIt);
  }

  /**
   * <pre>
   *   void getRoute (in globaldefs.NamingAttributes_T sncName,
                 out subnetworkConnection.Route_T route)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getRoute (globaldefs.NameAndStringValue_T[] sncName, 
                        subnetworkConnection.Route_THolder route) throws  globaldefs.ProcessingFailureException {
    this._delegate.getRoute(sncName, route);
  }

  /**
   * <pre>
   *   void getSNC (in globaldefs.NamingAttributes_T sncName,
               out subnetworkConnection.SubnetworkConnection_T snc)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getSNC (globaldefs.NameAndStringValue_T[] sncName, 
                      subnetworkConnection.SubnetworkConnection_THolder snc) throws  globaldefs.ProcessingFailureException {
    this._delegate.getSNC(sncName, snc);
  }

  /**
   * <pre>
   *   void createSNC (in subnetworkConnection.SNCCreateData_T createData,
                  out subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void createSNC (subnetworkConnection.SNCCreateData_T createData, 
                         subnetworkConnection.SubnetworkConnection_THolder theSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.createSNC(createData, theSNC);
  }

  /**
   * <pre>
   *   void activateSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void activateSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.activateSNC(theSNC);
  }

  /**
   * <pre>
   *   void createAndActivateSNC (in subnetworkConnection.SNCCreateData_T createData,
                             out subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void createAndActivateSNC (subnetworkConnection.SNCCreateData_T createData, 
                                    subnetworkConnection.SubnetworkConnection_THolder theSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.createAndActivateSNC(createData, theSNC);
  }

  /**
   * <pre>
   *   void deactivateSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deactivateSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.deactivateSNC(theSNC);
  }

  /**
   * <pre>
   *   void deleteSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC,
                  in boolean forced)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deleteSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC, 
                         boolean forced) throws  globaldefs.ProcessingFailureException {
    this._delegate.deleteSNC(theSNC, forced);
  }

  /**
   * <pre>
   *   void deactivateAndDeleteSNC (inout subnetworkConnection.SubnetworkConnection_T theSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void deactivateAndDeleteSNC (subnetworkConnection.SubnetworkConnection_THolder theSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.deactivateAndDeleteSNC(theSNC);
  }

  /**
   * <pre>
   *   void checkValidSNC (in subnetworkConnection.SNCCreateData_T sncData,
                      out boolean valid)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void checkValidSNC (subnetworkConnection.SNCCreateData_T sncData, 
                             org.omg.CORBA.BooleanHolder valid) throws  globaldefs.ProcessingFailureException {
    this._delegate.checkValidSNC(sncData, valid);
  }

  /**
   * <pre>
   *   void getAllGTPs (in globaldefs.NamingAttributes_T subnetworkName,
                   in unsigned long how_many,
                   out terminationPoint.TerminationPointList_T tpList,
                   out terminationPoint.TerminationPointIterator tpIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllGTPs (globaldefs.NameAndStringValue_T[] subnetworkName, 
                          int how_many, 
                          terminationPoint.TerminationPointList_THolder tpList, 
                          terminationPoint.TerminationPointIteratorHolder tpIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllGTPs(subnetworkName, how_many, tpList, tpIt);
  }

  /**
   * <pre>
   *   void bridgeSNC (in subnetworkConnection.SubnetworkConnection_T initialSNC,
                  in subnetworkConnection.SNCCreateData_T bridgeCreateData,
                  out subnetworkConnection.SubnetworkConnection_T bridgeSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void bridgeSNC (subnetworkConnection.SubnetworkConnection_T initialSNC, 
                         subnetworkConnection.SNCCreateData_T bridgeCreateData, 
                         subnetworkConnection.SubnetworkConnection_THolder bridgeSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.bridgeSNC(initialSNC, bridgeCreateData, bridgeSNC);
  }

  /**
   * <pre>
   *   void rollSNC (inout subnetworkConnection.SubnetworkConnection_T initialSNC,
                in subnetworkConnection.GradesOfImpact_T rollCriteria,
                inout subnetworkConnection.SubnetworkConnection_T rolledSNC)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void rollSNC (subnetworkConnection.SubnetworkConnection_THolder initialSNC, 
                       subnetworkConnection.GradesOfImpact_T rollCriteria, 
                       subnetworkConnection.SubnetworkConnection_THolder rolledSNC) throws  globaldefs.ProcessingFailureException {
    this._delegate.rollSNC(initialSNC, rollCriteria, rolledSNC);
  }

}
