package notifications;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/notifications.idl"
 * <li> <b>IDL Name</b>      ::notifications::EventIterator
 * <li> <b>Repository Id</b> IDL:notifications/EventIterator:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface EventIterator {
  ...
};
 * </pre>
 */
public class EventIteratorPOATie extends EventIteratorPOA {
  private notifications.EventIteratorOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public EventIteratorPOATie (final notifications.EventIteratorOperations _delegate) {
    this._delegate = _delegate;
  }

  public EventIteratorPOATie (final notifications.EventIteratorOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public notifications.EventIteratorOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final notifications.EventIteratorOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   boolean next_one (out CosNotification.StructuredEvent event)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public boolean next_one (CosNotification.StructuredEventHolder event) throws  globaldefs.ProcessingFailureException {
    return this._delegate.next_one(event);
  }

  /**
   * <pre>
   *   boolean next_n (in unsigned long how_many,
                  out notifications.EventList_T eventList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public boolean next_n (int how_many, 
                         notifications.EventList_THolder eventList) throws  globaldefs.ProcessingFailureException {
    return this._delegate.next_n(how_many, eventList);
  }

  /**
   * <pre>
   *   unsigned long getLength ()
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public int getLength () throws  globaldefs.ProcessingFailureException {
    return this._delegate.getLength();
  }

  /**
   * <pre>
   *   void destroy ()
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void destroy () throws  globaldefs.ProcessingFailureException {
    this._delegate.destroy();
  }

}
