package performance;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/performance.idl"
 * <li> <b>IDL Name</b>      ::performance::PerformanceManagementMgr
 * <li> <b>Repository Id</b> IDL:performance/PerformanceManagementMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface PerformanceManagementMgr {
  ...
};
 * </pre>
 */
public interface PerformanceManagementMgrOperations {
  /**
   * <pre>
   *   void getMEPMcapabilities (in globaldefs.NamingAttributes_T neName,
                            in transmissionParameters.LayerRate_T layerRate,
                            out performance.PMParameterList_T pmParameterList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getMEPMcapabilities (globaldefs.NameAndStringValue_T[] neName, 
                                   short layerRate, 
                                   performance.PMParameterList_THolder pmParameterList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void disablePMData (in performance.PMTPSelectList_T pmTPSelectList,
                      out performance.PMTPSelectList_T failedTPSelectList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void disablePMData (performance.PMTPSelect_T[] pmTPSelectList, 
                             performance.PMTPSelectList_THolder failedTPSelectList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void enablePMData (in performance.PMTPSelectList_T pmTPSelectList,
                     out performance.PMTPSelectList_T failedTPSelectList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void enablePMData (performance.PMTPSelect_T[] pmTPSelectList, 
                            performance.PMTPSelectList_THolder failedTPSelectList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getHoldingTime (out performance.HoldingTime_T holdingTime)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getHoldingTime (performance.HoldingTime_THolder holdingTime) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getTCATPParameter (in globaldefs.NamingAttributes_T tpName,
                          in transmissionParameters.LayerRate_T layerRate,
                          in performance.Granularity_T granularity,
                          out performance.TCAParameters_T tcaParameter)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getTCATPParameter (globaldefs.NameAndStringValue_T[] tpName, 
                                 short layerRate, 
                                 java.lang.String granularity, 
                                 performance.TCAParameters_THolder tcaParameter) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getHistoryPMData (in performance.Destination_T destination,
                         in string userName, in string password,
                         in performance.PMTPSelectList_T pmTPSelectList,
                         in globaldefs.Time_T startTime,
                         in globaldefs.Time_T endTime)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getHistoryPMData (java.lang.String destination, 
                                java.lang.String userName, 
                                java.lang.String password, 
                                performance.PMTPSelect_T[] pmTPSelectList, 
                                java.lang.String startTime, 
                                java.lang.String endTime) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllCurrentPMData (in performance.PMTPSelectList_T pmTPSelectList,
                            in unsigned long how_many,
                            out performance.PMDataList_T pmDataList,
                            out performance.PMDataIterator pmIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllCurrentPMData (performance.PMTPSelect_T[] pmTPSelectList, 
                                   int how_many, 
                                   performance.PMDataList_THolder pmDataList, 
                                   performance.PMDataIteratorHolder pmIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void setTCATPParameter (in globaldefs.NamingAttributes_T name,
                          inout performance.TCAParameters_T tcaParameters)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void setTCATPParameter (globaldefs.NameAndStringValue_T[] name, 
                                 performance.TCAParameters_THolder tcaParameters) throws globaldefs.ProcessingFailureException;

}
