package performance;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/performance.idl"
 * <li> <b>IDL Name</b>      ::performance::PerformanceManagementMgr
 * <li> <b>Repository Id</b> IDL:performance/PerformanceManagementMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface PerformanceManagementMgr {
  ...
};
 * </pre>
 */
public class PerformanceManagementMgrPOATie extends PerformanceManagementMgrPOA {
  private performance.PerformanceManagementMgrOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public PerformanceManagementMgrPOATie (final performance.PerformanceManagementMgrOperations _delegate) {
    this._delegate = _delegate;
  }

  public PerformanceManagementMgrPOATie (final performance.PerformanceManagementMgrOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public performance.PerformanceManagementMgrOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final performance.PerformanceManagementMgrOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void getMEPMcapabilities (in globaldefs.NamingAttributes_T neName,
                            in transmissionParameters.LayerRate_T layerRate,
                            out performance.PMParameterList_T pmParameterList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getMEPMcapabilities (globaldefs.NameAndStringValue_T[] neName, 
                                   short layerRate, 
                                   performance.PMParameterList_THolder pmParameterList) throws  globaldefs.ProcessingFailureException {
    this._delegate.getMEPMcapabilities(neName, layerRate, pmParameterList);
  }

  /**
   * <pre>
   *   void disablePMData (in performance.PMTPSelectList_T pmTPSelectList,
                      out performance.PMTPSelectList_T failedTPSelectList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void disablePMData (performance.PMTPSelect_T[] pmTPSelectList, 
                             performance.PMTPSelectList_THolder failedTPSelectList) throws  globaldefs.ProcessingFailureException {
    this._delegate.disablePMData(pmTPSelectList, failedTPSelectList);
  }

  /**
   * <pre>
   *   void enablePMData (in performance.PMTPSelectList_T pmTPSelectList,
                     out performance.PMTPSelectList_T failedTPSelectList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void enablePMData (performance.PMTPSelect_T[] pmTPSelectList, 
                            performance.PMTPSelectList_THolder failedTPSelectList) throws  globaldefs.ProcessingFailureException {
    this._delegate.enablePMData(pmTPSelectList, failedTPSelectList);
  }

  /**
   * <pre>
   *   void getHoldingTime (out performance.HoldingTime_T holdingTime)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getHoldingTime (performance.HoldingTime_THolder holdingTime) throws  globaldefs.ProcessingFailureException {
    this._delegate.getHoldingTime(holdingTime);
  }

  /**
   * <pre>
   *   void getTCATPParameter (in globaldefs.NamingAttributes_T tpName,
                          in transmissionParameters.LayerRate_T layerRate,
                          in performance.Granularity_T granularity,
                          out performance.TCAParameters_T tcaParameter)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getTCATPParameter (globaldefs.NameAndStringValue_T[] tpName, 
                                 short layerRate, 
                                 java.lang.String granularity, 
                                 performance.TCAParameters_THolder tcaParameter) throws  globaldefs.ProcessingFailureException {
    this._delegate.getTCATPParameter(tpName, layerRate, granularity, tcaParameter);
  }

  /**
   * <pre>
   *   void getHistoryPMData (in performance.Destination_T destination,
                         in string userName, in string password,
                         in performance.PMTPSelectList_T pmTPSelectList,
                         in globaldefs.Time_T startTime,
                         in globaldefs.Time_T endTime)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getHistoryPMData (java.lang.String destination, 
                                java.lang.String userName, 
                                java.lang.String password, 
                                performance.PMTPSelect_T[] pmTPSelectList, 
                                java.lang.String startTime, 
                                java.lang.String endTime) throws  globaldefs.ProcessingFailureException {
    this._delegate.getHistoryPMData(destination, userName, password, pmTPSelectList, 
                                    startTime, endTime);
  }

  /**
   * <pre>
   *   void getAllCurrentPMData (in performance.PMTPSelectList_T pmTPSelectList,
                            in unsigned long how_many,
                            out performance.PMDataList_T pmDataList,
                            out performance.PMDataIterator pmIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllCurrentPMData (performance.PMTPSelect_T[] pmTPSelectList, 
                                   int how_many, 
                                   performance.PMDataList_THolder pmDataList, 
                                   performance.PMDataIteratorHolder pmIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllCurrentPMData(pmTPSelectList, how_many, pmDataList, pmIt);
  }

  /**
   * <pre>
   *   void setTCATPParameter (in globaldefs.NamingAttributes_T name,
                          inout performance.TCAParameters_T tcaParameters)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void setTCATPParameter (globaldefs.NameAndStringValue_T[] name, 
                                 performance.TCAParameters_THolder tcaParameters) throws  globaldefs.ProcessingFailureException {
    this._delegate.setTCATPParameter(name, tcaParameters);
  }

}
