package protection;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/protection.idl"
 * <li> <b>IDL Name</b>      ::protection::ProtectionMgr
 * <li> <b>Repository Id</b> IDL:protection/ProtectionMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ProtectionMgr {
  ...
};
 * </pre>
 */
public interface ProtectionMgrOperations {
  /**
   * <pre>
   *   void getAllProtectionGroups (in globaldefs.NamingAttributes_T meName,
                               out protection.ProtectionGroupList_T pgList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllProtectionGroups (globaldefs.NameAndStringValue_T[] meName, 
                                      protection.ProtectionGroupList_THolder pgList) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getProtectionGroup (in globaldefs.NamingAttributes_T pgName,
                           out protection.ProtectionGroup_T protectionGroup)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getProtectionGroup (globaldefs.NameAndStringValue_T[] pgName, 
                                  protection.ProtectionGroup_THolder protectionGroup) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllNPPATPNames (in globaldefs.NamingAttributes_T pgName,
                          in unsigned long how_many,
                          out globaldefs.NamingAttributesList_T nameList,
                          out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllNPPATPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                 int how_many, 
                                 globaldefs.NamingAttributesList_THolder nameList, 
                                 globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllPreemptibleTPNames (in globaldefs.NamingAttributes_T pgName,
                                 in unsigned long how_many,
                                 out globaldefs.NamingAttributesList_T nameList,
                                 out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllPreemptibleTPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                        int how_many, 
                                        globaldefs.NamingAttributesList_THolder nameList, 
                                        globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void getAllProtectedTPNames (in globaldefs.NamingAttributes_T pgName,
                               in unsigned long how_many,
                               out globaldefs.NamingAttributesList_T nameList,
                               out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllProtectedTPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                      int how_many, 
                                      globaldefs.NamingAttributesList_THolder nameList, 
                                      globaldefs.NamingAttributesIteratorHolder nameIt) throws globaldefs.ProcessingFailureException;

  /**
   * <pre>
   *   void retrieveSwitchData (in globaldefs.NamingAttributes_T reliableSinkCtpOrGroupName,
                           out protection.SwitchDataList_T switchData)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void retrieveSwitchData (globaldefs.NameAndStringValue_T[] reliableSinkCtpOrGroupName, 
                                  protection.SwitchDataList_THolder switchData) throws globaldefs.ProcessingFailureException;

}
