package protection;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/venni/jbproject/project/src/project/protection.idl"
 * <li> <b>IDL Name</b>      ::protection::ProtectionMgr
 * <li> <b>Repository Id</b> IDL:protection/ProtectionMgr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ProtectionMgr {
  ...
};
 * </pre>
 */
public class ProtectionMgrPOATie extends ProtectionMgrPOA {
  private protection.ProtectionMgrOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public ProtectionMgrPOATie (final protection.ProtectionMgrOperations _delegate) {
    this._delegate = _delegate;
  }

  public ProtectionMgrPOATie (final protection.ProtectionMgrOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public protection.ProtectionMgrOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final protection.ProtectionMgrOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void getAllProtectionGroups (in globaldefs.NamingAttributes_T meName,
                               out protection.ProtectionGroupList_T pgList)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllProtectionGroups (globaldefs.NameAndStringValue_T[] meName, 
                                      protection.ProtectionGroupList_THolder pgList) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllProtectionGroups(meName, pgList);
  }

  /**
   * <pre>
   *   void getProtectionGroup (in globaldefs.NamingAttributes_T pgName,
                           out protection.ProtectionGroup_T protectionGroup)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getProtectionGroup (globaldefs.NameAndStringValue_T[] pgName, 
                                  protection.ProtectionGroup_THolder protectionGroup) throws  globaldefs.ProcessingFailureException {
    this._delegate.getProtectionGroup(pgName, protectionGroup);
  }

  /**
   * <pre>
   *   void getAllNPPATPNames (in globaldefs.NamingAttributes_T pgName,
                          in unsigned long how_many,
                          out globaldefs.NamingAttributesList_T nameList,
                          out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllNPPATPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                 int how_many, 
                                 globaldefs.NamingAttributesList_THolder nameList, 
                                 globaldefs.NamingAttributesIteratorHolder nameIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllNPPATPNames(pgName, how_many, nameList, nameIt);
  }

  /**
   * <pre>
   *   void getAllPreemptibleTPNames (in globaldefs.NamingAttributes_T pgName,
                                 in unsigned long how_many,
                                 out globaldefs.NamingAttributesList_T nameList,
                                 out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllPreemptibleTPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                        int how_many, 
                                        globaldefs.NamingAttributesList_THolder nameList, 
                                        globaldefs.NamingAttributesIteratorHolder nameIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllPreemptibleTPNames(pgName, how_many, nameList, nameIt);
  }

  /**
   * <pre>
   *   void getAllProtectedTPNames (in globaldefs.NamingAttributes_T pgName,
                               in unsigned long how_many,
                               out globaldefs.NamingAttributesList_T nameList,
                               out globaldefs.NamingAttributesIterator nameIt)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void getAllProtectedTPNames (globaldefs.NameAndStringValue_T[] pgName, 
                                      int how_many, 
                                      globaldefs.NamingAttributesList_THolder nameList, 
                                      globaldefs.NamingAttributesIteratorHolder nameIt) throws  globaldefs.ProcessingFailureException {
    this._delegate.getAllProtectedTPNames(pgName, how_many, nameList, nameIt);
  }

  /**
   * <pre>
   *   void retrieveSwitchData (in globaldefs.NamingAttributes_T reliableSinkCtpOrGroupName,
                           out protection.SwitchDataList_T switchData)
    raises (globaldefs.ProcessingFailureException);
   * </pre>
   */
  public void retrieveSwitchData (globaldefs.NameAndStringValue_T[] reliableSinkCtpOrGroupName, 
                                  protection.SwitchDataList_THolder switchData) throws  globaldefs.ProcessingFailureException {
    this._delegate.retrieveSwitchData(reliableSinkCtpOrGroupName, switchData);
  }

}
