//package prova_s5;

import org.omg.PortableServer.*;
import org.omg.CosNaming.*;

public class Server {

  public static void main(String[] args) {

    NameComponent[] nome_0 = { new NameComponent("ITALIA","FederationContext")};
    NameComponent[] nome_1 = { new NameComponent("2.0.0","Version")};
    NameComponent[] nome_2 = { new NameComponent("SiemensBologna/ITALIA","NetworkR1")};

    try {
      System.out.println("Il Server e' in esecuzione");
      
      // Initialize the ORB.
      org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);
      // get a reference to the root POA
      POA rootPOA = POAHelper.narrow(orb.resolve_initial_references("RootPOA"));
      // get a reference to the Naming Service root_context
      org.omg.CORBA.Object rootObj = orb.resolve_initial_references("NameService");
      NamingContextExt root = NamingContextExtHelper.narrow(rootObj);
      // Create policies for our persistent POA
      org.omg.CORBA.Policy[] policies = {
        rootPOA.create_lifespan_policy(LifespanPolicyValue.PERSISTENT)
      };
      // Create myPOA with the right policies
      POA myPOA = rootPOA.create_POA( "network_agent_poa", rootPOA.the_POAManager(),
                                        policies );
      // Create the servant and Activate the servant with the ID on myPOA

      NetR1Impl netR1Servant = new NetR1Impl();
      byte[] netR1Id = "NetworkManager".getBytes();
      myPOA.activate_object_with_id(netR1Id, netR1Servant);

      // Activate the POA manager
      rootPOA.the_POAManager().activate();

      // Associate the bank manager with the name at the root context
      // Note that casting is needed as a workaround for a JDK 1.1.x bug.

      //((NamingContext)root).bind(root.to_name("NetworkManager"), myPOA.servant_to_reference(netR1Servant));
      NamingContext paese = ((NamingContext)root).bind_new_context(nome_0);
      NamingContext version = paese.bind_new_context(nome_1);
      version.rebind(nome_2, myPOA.servant_to_reference(netR1Servant));

      System.out.println("Server is ready.");
      // Wait for incoming requests
      orb.run();
    }
    catch (Exception e) {
      //System.out.println("errore connessione al name service");
      e.printStackTrace();
    }
  }

}

